Subject: Re: [PATCH net-next 00/10 v2] selftests: pmtu: Add further vti/vti6 MTU and PMTU tests

From: Stefano Brivio <[email-masked]>
Date: Sun, 18 Mar 2018 18:42:21 +0100

On Sun, 18 Mar 2018 11:31:10 -0600
David Ahern <[email-masked]> wrote:

> On 3/16/18 7:31 PM, Stefano Brivio wrote:
> > Patches 5/10 to 10/10 add tests to verify default MTU assignment
> > for vti4 and vti6 interfaces, to check that MTU values set on new
> > link and link changes are properly taken and validated, and to
> > verify PMTU exceptions on vti4 interfaces.
> > 
> > Patch 1/10 reverses function return codes as suggested by David
> > Ahern.
> > 
> > Patch 2/10 fixes the helper to fetch exceptions MTU to run in the
> > passed namespace.
> > 
> > Patches 3/10 and 4/10 are preparation work to make it easier to
> > introduce those tests.
> > 
> > v2: Reverse return codes, and make output prettier in 4/9 by
> >     using padded printf, test descriptions and buffered error
> >     strings. Remove accidental output to /dev/kmsg from 10/10
> >     (was 9/9).  
> 
> pulling pmtu.sh from net-next I see log messages on console:
> 
> [  890.741117] ip netns exec ns-kFUQx6 ip link set vti6_a type vti6
> remote fc00:1001::0 local fc00:1001::0
> [  890.837569] ip netns exec ns-kFUQx6 ip link set vti6_a mtu 1280 type
> vti6 remote fc00:1000::0 local fc00:1000::0

Thanks for checking. I accidentally left two more prints to kernel log
in 10/10, I'll send another patch to remove them.

-- 
Stefano